Package org.jboss.resteasy.plugins.providers.jackson

## Class PatchMethodFilter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractPatchMethodFilter
  - - org.jboss.resteasy.plugins.providers.jackson.PatchMethodFilter

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerRequestFilter`

      @Provider
      @Priority(2147483647)
      public class PatchMethodFilter
      extends AbstractPatchMethodFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.providers.AbstractPatchMethodFilter

      `AbstractPatchMethodFilter.FilterFlag`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.AbstractPatchMethodFilter

      `APPLICATION_JSON_MERGE_PATCH_JSON, APPLICATION_JSON_MERGE_PATCH_JSON_TYPE, providers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatchMethodFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected byte[]` | `applyPatch​(javax.ws.rs.container.ContainerRequestContext requestContext, byte[] targetJsonBytes)` |
    `protected boolean` | `isDisabled​(javax.ws.rs.container.ContainerRequestContext requestContext)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractPatchMethodFilter

      `filter, getMethodInvoker, getTargetObject, readFilterDisabledFlag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatchMethodFilter

          public PatchMethodFilter()

  - ### Method Detail

    - #### isDisabled

          protected boolean isDisabled​(javax.ws.rs.container.ContainerRequestContext requestContext)

      Specified by:
        `isDisabled` in class `AbstractPatchMethodFilter`

    - #### applyPatch

          protected byte[] applyPatch​(javax.ws.rs.container.ContainerRequestContext requestContext,
                                      byte[] targetJsonBytes)
                               throws IOException,
                                      Failure

      Specified by:
        `applyPatch` in class `AbstractPatchMethodFilter`
      Throws:
        `IOException`
        `Failure`